#pragma once

#include "CoreMinimal.h"
#include "TransactionEventData.generated.h"

USTRUCT(BlueprintType)
struct FTransactionEventData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FString TransactionType;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString TransactionSource;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString SourceId;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 SourceTier;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString CurrencyType;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 CurrencyAmount;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 CurrencyBalance;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 LevelAchieved;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 Prestige;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString ItemIDAcquired;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 Rank;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString SelectedCharacter;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool TransactionTriggeredLevelUp;

public:
	DEADBYDAYLIGHT_API FTransactionEventData();
};

FORCEINLINE uint32 GetTypeHash(const FTransactionEventData) { return 0; }
